Package org.flowable.engine

# Interface ProcessMigrationService

public interface ProcessMigrationService
Service to manager process instance migrations.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Batch`
  `batchMigrateProcessInstancesOfProcessDefinition(String processDefinitionKey, int processDefinitionVersion, String processDefinitionTenantId, ProcessInstanceMigrationDocument processInstanceMigrationDocument)`
  `Batch`
  `batchMigrateProcessInstancesOfProcessDefinition(String processDefinitionId, ProcessInstanceMigrationDocument processInstanceMigrationDocument)`
  `ProcessInstanceMigrationBuilder`
  `createProcessInstanceMigrationBuilder()`
  `ProcessInstanceMigrationBuilder`
  `createProcessInstanceMigrationBuilderFromProcessInstanceMigrationDocument(ProcessInstanceMigrationDocument document)`
  `ProcessInstanceBatchMigrationResult`
  `getResultsOfBatchProcessInstanceMigration(String migrationBatchId)`
  `void`
  `migrateProcessInstance(String processInstanceId, ProcessInstanceMigrationDocument processInstanceMigrationDocument)`
  `void`
  `migrateProcessInstancesOfProcessDefinition(String processDefinitionKey, int processDefinitionVersion, String processDefinitionTenantId, ProcessInstanceMigrationDocument processInstanceMigrationDocument)`
  `void`
  `migrateProcessInstancesOfProcessDefinition(String processDefinitionId, ProcessInstanceMigrationDocument processInstanceMigrationDocument)`
  `ProcessInstanceMigrationValidationResult`
  `validateMigrationForProcessInstance(String processInstanceId, ProcessInstanceMigrationDocument processInstanceMigrationDocument)`
  `ProcessInstanceMigrationValidationResult`
  `validateMigrationForProcessInstancesOfProcessDefinition(String processDefinitionKey, int processDefinitionVersion, String processDefinitionTenantId, ProcessInstanceMigrationDocument processInstanceMigrationDocument)`
  `ProcessInstanceMigrationValidationResult`
  `validateMigrationForProcessInstancesOfProcessDefinition(String processDefinitionId, ProcessInstanceMigrationDocument processInstanceMigrationDocument)`

- ## Method Details

  - ### createProcessInstanceMigrationBuilder

    ProcessInstanceMigrationBuilder createProcessInstanceMigrationBuilder()

  - ### createProcessInstanceMigrationBuilderFromProcessInstanceMigrationDocument

    ProcessInstanceMigrationBuilder createProcessInstanceMigrationBuilderFromProcessInstanceMigrationDocument(ProcessInstanceMigrationDocument document)

  - ### validateMigrationForProcessInstance

    ProcessInstanceMigrationValidationResult validateMigrationForProcessInstance(String processInstanceId, ProcessInstanceMigrationDocument processInstanceMigrationDocument)

  - ### validateMigrationForProcessInstancesOfProcessDefinition

    ProcessInstanceMigrationValidationResult validateMigrationForProcessInstancesOfProcessDefinition(String processDefinitionId, ProcessInstanceMigrationDocument processInstanceMigrationDocument)

  - ### validateMigrationForProcessInstancesOfProcessDefinition

    ProcessInstanceMigrationValidationResult validateMigrationForProcessInstancesOfProcessDefinition(String processDefinitionKey, int processDefinitionVersion, String processDefinitionTenantId, ProcessInstanceMigrationDocument processInstanceMigrationDocument)

  - ### migrateProcessInstance

    void migrateProcessInstance(String processInstanceId, ProcessInstanceMigrationDocument processInstanceMigrationDocument)

  - ### migrateProcessInstancesOfProcessDefinition

    void migrateProcessInstancesOfProcessDefinition(String processDefinitionId, ProcessInstanceMigrationDocument processInstanceMigrationDocument)

  - ### migrateProcessInstancesOfProcessDefinition

    void migrateProcessInstancesOfProcessDefinition(String processDefinitionKey, int processDefinitionVersion, String processDefinitionTenantId, ProcessInstanceMigrationDocument processInstanceMigrationDocument)

  - ### batchMigrateProcessInstancesOfProcessDefinition

    Batch batchMigrateProcessInstancesOfProcessDefinition(String processDefinitionId, ProcessInstanceMigrationDocument processInstanceMigrationDocument)

  - ### batchMigrateProcessInstancesOfProcessDefinition

    Batch batchMigrateProcessInstancesOfProcessDefinition(String processDefinitionKey, int processDefinitionVersion, String processDefinitionTenantId, ProcessInstanceMigrationDocument processInstanceMigrationDocument)

  - ### getResultsOfBatchProcessInstanceMigration

    ProcessInstanceBatchMigrationResult getResultsOfBatchProcessInstanceMigration(String migrationBatchId)